# medz/dutch/dutch.py
#
#

""" plugin related commands. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from medz.kernel import kernel, plugs
from medz.utils.name import named
from medz import cfg

import logging

## COMMANDS

def plugs_stop(event):
    if kernel.stop(event.parsed.args[0]): event.ok()

kernel.register("plugs.stop", plugs_stop)

def plugs_start(event):
    if not event.parsed.args: return
    #cfg = get_cfg(event.event.args[0])
    #if cfg: cfg.save() 
    plugnames = plugs.search(event.parsed.args[0])
    logging.warn(", ".join(plugnames))
    for pname in plugnames: plugs.load(pname)
    plugs.init(event.parsed.args[0])
    event.ok()

kernel.register("plugs.start", plugs_start)

def plugs_reload(event): 
    if not event.parsed.args: return
    result = plugs.reloading(event.parsed.args[0])
    if result: event.ok(named(result))

kernel.register("plugs.reload", plugs_reload)

## HELPERS

def get_cfg(*args, **kwargs):
    try: return getattr(cfg, "cfg_%s" % args[0])
    except AttributeError: pass
